<template>
    <v-row>
        <v-col>
            <h1>Detail prohlídky</h1>
            <v-divider />
            <v-form>
                <v-row>
                    <v-col cols="8">
                        <v-text-field v-model="attributes.nazev" label="Název"></v-text-field>
                        <v-text-field v-model="attributes.popis" label="Popis"></v-text-field>
                    </v-col>
                </v-row>
                <v-row>
                    <v-col>
                        <v-btn right color="success" v-on:click="ulozitZmeny">
                            <v-icon>mdi-check</v-icon>
                        </v-btn>
                    </v-col>
                </v-row>
            </v-form>
        </v-col>
    </v-row>
</template>

<script>
    export default {
        data() {
            return {
                id: null,
                type: 'items',
                attributes: {
                    nazev: null,
                    popis: null
                }
            }
        },
        async mounted() {
            const id = this.$route.params.id;
            const res = await this.$axios.get('/api/prohlidka/' + id);
            const item = res.data;
            this.id = item.id;
            this.attributes.nazev = item.nazev;
            this.attributes.popis = item.popis;
        },
        methods: {
            ulozitZmeny: async function (event) {
                const res = await this.$axios.put('/api/Prohlidka/' + this.id, {
                    id: this.id,
                    nazev: this.attributes.nazev,
                    popis: this.attributes.popis
                });
                console.log(res);
                location.href = '/Prohlidky';
            }
        }
    }
</script>
